Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class OCSPIdentifierType

    java.lang.Object
      org.etsi.uri._01903.v1_3.OCSPIdentifierType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:05:56+02:00",
               comments="JAXB RI v2.3.6")
    public class OCSPIdentifierType

extends Object
implements Serializable

Java class for OCSPIdentifierType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OCSPIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ResponderID" type="{http://uri.etsi.org/01903/v1.3.2#}ResponderIDType"/>
             <element name="ProducedAt" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
           <attribute name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OCSPIdentifierType()`

Method Summary
`org.joda.time.DateTime` | `getProducedAt()` Gets the value of the producedAt property.
`ResponderIDType` | `getResponderID()` Gets the value of the responderID property.
`String` | `getURI()` Gets the value of the uri property.
`void` | `setProducedAt(org.joda.time.DateTime value)` Sets the value of the producedAt property.
`void` | `setResponderID(ResponderIDType value)` Sets the value of the responderID property.
`void` | `setURI(String value)` Sets the value of the uri property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCSPIdentifierType

    public OCSPIdentifierType()

Method Detail

### getResponderID

    public ResponderIDType getResponderID()

  Gets the value of the responderID property.

  Returns:
    possible object is `ResponderIDType`

### setResponderID

    public void setResponderID(ResponderIDType value)

  Sets the value of the responderID property.

  Parameters:
    `value` - allowed object is `ResponderIDType`

### getProducedAt

    public org.joda.time.DateTime getProducedAt()

  Gets the value of the producedAt property.

  Returns:
    possible object is `String`

### setProducedAt

    public void setProducedAt(org.joda.time.DateTime value)

  Sets the value of the producedAt property.

  Parameters:
    `value` - allowed object is `String`

### getURI

    public String getURI()

  Gets the value of the uri property.

  Returns:
    possible object is `String`

### setURI

    public void setURI(String value)

  Sets the value of the uri property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.